apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: "insurance-ingress"
  namespace: "default"
  annotations:
    kubernetes.io/ingress.class: alb
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/target-type: ip
    alb.ingress.kubernetes.io/subnets: subnet-073c9913c8ddc28f4, subnet-0f0e16d64dfbfdd54
    alb.ingress.kubernetes.io/tags: Environment=dev,Team=test
    alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:ap-south-1:043355153133:certificate/b9a54822-e612-4e8b-b8c0-37d104f4deb2
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTP":80,"HTTPS": 443}]'
    alb.ingress.kubernetes.io/success-codes: 200-499
    alb.ingress.kubernetes.io/actions.ssl-redirect: '{"Type": "redirect", "RedirectConfig": { "Protocol": "HTTPS", "Port": "443", "StatusCode": "HTTP_301"}}'
    #alb.ingress.kubernetes.io/healthcheck-path: /_status
  labels:
    app: insurance-ingress
spec:
  rules:
    - host: taxi-dev.anupdubey.tk
      http:
        paths:
          - path: /*
            backend:
              serviceName: ssl-redirect
              servicePort: use-annotation
          - path: /*
            backend:
              serviceName: "taxicab-dev-svc-01"
              servicePort: 80
    - host: taxi-prod.anupdubey.tk
      http:
        paths:
          - path: /*
            backend:
              serviceName: ssl-redirect
              servicePort: use-annotation
          - path: /*
            backend:
              serviceName: "taxicab-prod-svc-01"
              servicePort: 80
